﻿$( document ).ready(function() {
    const dataAtual = new Date();
    var dataSeisMesesAtras = new Date();
    dataSeisMesesAtras.setMonth(dataAtual.getMonth() - 6);
    const teste = formatarData(dataSeisMesesAtras)
    const dia = dataAtual.getDate().toString().padStart(2, '0');
    const mes = (dataAtual.getMonth() + 1).toString().padStart(2, '0');
    const ano = dataAtual.getFullYear();

    const dataFormatada = `${mes}-${dia}-${ano}`;
    const dataFormatadaDia = `${dia}/${mes}/${ano}`;
    document.getElementById('dataAtual').innerHTML = dataFormatadaDia;

    fetch(`https://olinda.bcb.gov.br/olinda/servico/PTAX/versao/v1/odata/CotacaoDolarDia(dataCotacao=@dataCotacao)?@dataCotacao='${dataFormatada}'&$top=100&$format=json&$select=cotacaoCompra`)
        .then(response => response.json())
            .then(data => {
                if (data.value[0] === "" || data.value[0] === undefined|| data.value[0] === null ){
                    $('#valorDaCotacao').addClass("indisponivel")
                    document.getElementById('valorDaCotacao').innerHTML = 'Cotação do dia de hoje ainda não disponível';
                }else{
                $('#valorDaCotacao').removeClass("indisponivel")
                const cotacao = data.value[0].cotacaoCompra.toLocaleString('pt-BR', {minimumFractionDigits: 2, maximumFractionDigits: 2});
                document.getElementById('valorDaCotacao').innerHTML = 'R$ ' + cotacao;
            }
    });
function formatarData(data) {
        const dateObj = new Date(data);
        const dia = dateObj.getDate().toString().padStart(2, '0');
        const mes = (dateObj.getMonth() + 1).toString().padStart(2, '0');
        const ano = dateObj.getFullYear();
        return `${mes}-${dia}-${ano}`;
      }


    $('#selecionaData').click(function() {
        $('#dolarModal').modal('show')
    });

    $('#datepicker').datepicker({
        language: 'pt-BR',
        format: 'dd/mm/yyyy',
        daysOfWeekDisabled: "0,6",
        startDate: dataSeisMesesAtras,
        endDate: dataAtual
    });
    $('#datepicker-container').datepicker('show');
    $('th.prev').html('');
    $('th.next').html('');
    var DataSelecionada;
    var DataSelecionadaPT;
    $('#datepicker').datepicker().on('changeDate', function(e){
        DataSelecionada = e.format('mm-dd-yyyy');
        DataSelecionadaPT = e.format('dd/mm/yyyy');
    });
    $('#buscaData').click(function(e){
        document.getElementById('dataAtual').innerHTML = DataSelecionadaPT;
        fetch(`https://olinda.bcb.gov.br/olinda/servico/PTAX/versao/v1/odata/CotacaoDolarDia(dataCotacao=@dataCotacao)?@dataCotacao='${DataSelecionada}'&$top=100&$format=json&$select=cotacaoCompra`)
        .then(response => response.json())
            .then(data => {
                if (data.value[0] === "" || data.value[0] === undefined|| data.value[0] === null ){
                    $('#valorDaCotacao').addClass("indisponivel")
                    document.getElementById('valorDaCotacao').innerHTML = 'Cotação do dia de hoje ainda não disponível';
                }else{
                    $('#valorDaCotacao').removeClass("indisponivel")
                    var cotacaoSelecionada = data.value[0].cotacaoCompra.toLocaleString('pt-BR', {minimumFractionDigits: 2, maximumFractionDigits: 2});
                    document.getElementById('valorDaCotacao').innerHTML = 'R$ ' + cotacaoSelecionada;
            }
        });
        $('#dolarModal').modal('hide')
    })
});